Bug 1232559 - [RFE] [Tracker] Windows 10 Guest Support for RHEV
Summary: [RFE] [Tracker] Windows 10 Guest Support for RHEV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.0-rc3
: 3.6.0
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On: 1306586 1227400 1232584 1232586 1238303 1249873
Blocks: 1273808
TreeView+ depends on / blocked
 
Reported: 2015-06-17 03:10 UTC by Scott Herold
Modified: 2016-03-09 21:08 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, Microsoft Windows 10 is now supported as a guest operating system in Red Hat Enterprise Virtualization. The required VirtIO-Win drivers for this operating system are also provided.
Clone Of:
: 1232584 1232586 1273808 (view as bug list)
Environment:
Last Closed: 2016-03-09 21:08:27 UTC
oVirt Team: Integration


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC

Description Scott Herold 2015-06-17 03:10:11 UTC
Within the RHEV 3.5/3.6 release RHEV will need to add proper support and options for Windows 10 Guests.  Initially provide Tech Preview Support in RHEV 3.5.z.

Comment 3 Yaniv Kaul 2015-10-21 09:12:43 UTC
Can this bug moved to ON_QA? All is done, all deps are ON_QA/VERIFIED.
I assume it can be cloned to 3.5.6, if all relevant work has been cloned as well?

Comment 4 Sandro Bonazzola 2015-10-21 09:45:03 UTC
Will move to ON_QA after we move today build to QE.

Comment 6 Jiri Belka 2016-01-21 17:30:20 UTC
ok, 3.6-4 wgt iso & rhevm-3.6.2.6-0.1.el6.noarch

Comment 7 Jiri Belka 2016-01-21 17:36:40 UTC
hmm, i can't see win10 drivers in virtio-win rpms

Comment 8 Jiri Belka 2016-01-22 13:51:19 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=1249873#c17 there's no vfd with virtio drivers for Windows 10.

And IMO rhevm 3.6 should depend on specific virtio-win rpm which would have Windows 10 virtio drivers on VFD to allow easy installation of Windows 10 VMs - https://bugzilla.redhat.com/show_bug.cgi?id=1300959

(Users can still switch ISOs during installation but this is unusual scenario.)

Comment 9 Jiri Belka 2016-02-17 12:21:38 UTC
ok, vfd will be delivered as zstream.

Comment 11 errata-xmlrpc 2016-03-09 21:08:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.